Skip to content

Deliverability API · Alpha / unstable

Retrieve one problem type

GET
/problems/{code}
curl --request GET \
--url https://api.builders.ac/api/deliverability/v1alpha1/problems/example
code
required
string
/^[a-z0-9_]+$/

Problem type

Media typeapplication/json
object
type
required
string format: uri
code
required
string
title
required
string
status
required
integer
>= 400 <= 599
detail
required
string
retryable
required
boolean
Examplegenerated
{
"type": "https://example.com",
"code": "example",
"title": "example",
"status": 1,
"detail": "example",
"retryable": true
}

RFC 9457 problem details

Media typeapplication/problem+json
object
type
required
string format: uri
title
required
string
status
required
integer
>= 400 <= 599
detail
required
string
code
required
string
retryable
required
boolean
correlation_id
required
string
retry_after
string format: date-time
errors
object
key
additional properties
Array<string>
key
additional properties
any
Examplegenerated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"retryable": true,
"correlation_id": "example",
"retry_after": "2026-04-15T12:00:00Z",
"errors": {
"additionalProperty": [
"example"
]
}
}